<template>
  <div class="column q-px-md q-pt-md bg-ctrl-secondary">
    <div class="row justify-center items-center reverse-wrap vertical-bottom">
      <div class="col-12 col-sm-12 col-md-6">
        <div :class="($q.platform.is.mobile ? 'q-px-md' : '') + 'q-mt-lg'">
          <div
            :class="
              ($q.platform.is.mobile ? 'text-h2' : 'text-h1') +
                ' text-center text-bold text-black'
            "
          >
            Use Cases
          </div>
        </div>

        <q-splitter
          v-if="$q.platform.is.desktop"
          v-model="splitterModel"
          class="q-mt-lg bg-alt-secondary shadow-4 rounded-border-16"
          style="height: 100%"
        >
          <template v-slot:before>
            <index-use-cases-tabs
              v-bind:active-tab-model.sync="activeTab"
              :use-cases="useCases"
            />
          </template>

          <template v-slot:after>
            <index-use-cases-tab-panels
              v-bind:active-tab-model.sync="activeTab"
              :use-cases="useCases"
            />
          </template>
        </q-splitter>

        <template v-else>
          <div class="q-mt-lg bg-alt-secondary shadow-4 rounded-border-16">
            <index-use-cases-tabs
              v-bind:active-tab-model.sync="activeTab"
              :use-cases="useCases"
            />

            <index-use-cases-tab-panels
              v-bind:active-tab-model.sync="activeTab"
              :use-cases="useCases"
            />
          </div>
        </template>
      </div>
    </div>

    <div id="privacy" class="row justify-center full-width q-my-lg">
      <q-btn round color="alt-accent" icon="expand_more" to="#privacy" />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import IndexUseCasesTabPanels from './use-cases/TabPanels.vue';
import IndexUseCasesTabs from './use-cases/Tabs.vue';
export default defineComponent({
  name: 'IndexUseCases',

  components: {
    IndexUseCasesTabPanels,
    IndexUseCasesTabs
  },

  data() {
    return {
      activeTab: 'planning',
      splitterModel: 15,
      useCases: {
        planning: {
          label: 'Planning',
          heading: 'Strategy and Planning',
          icon: 'fas fa-map-signs',
          description1: 'Strategy development at work or for personal life requires deliberation over multiple topics. It requires scatterfocus or monkey brain where we have to juggle over a wide range of ideas. As a result, you will read, write, watch, and listen to a large number of seemingly unrelated resources.',
          description2: 'Going through all the information easily becomes overwhelming. Seeking actionable knowledge from these resources is troublesome.',
          description3: 'theNexusCodes helps you find relations between these seemingly unrelated resources. You can search through all the work that you do on a browser. It also creates a graph network showing how all the consumed resources are linked.',
          asset: 'planning.svg'
        },
        research: {
          label: 'Research',
          heading: 'Topic Research',
          icon: 'fab fa-searchengin',
          description1: 'Topic research requires hyperfocus on the problem at hand. This task ranges from reading replies on highly specific forums to cited research journals. All these tasks share a common thread; the topic under study. This requires diving deep into the ocean of resources.',
          description2: 'Sifting through all the information is similar to needle in the haystack problem. Finding valuable takeaways can make life miserable.',
          description3: 'theNexusCodes allows you to limit the search space to the topic of your research. It also finds data that may appear tangential to your work. It also creates a graph network showing how all the consumed resources are linked.',
          asset: 'researching.svg'
        },
        history: {
          label: 'History',
          heading: 'History Search',
          icon: 'fas fa-history',
          description1: 'Our history carries a great amount of details on our habits, experiences, and shortcomings. These details can reveal valuable details about our finances, family, health, and friends. This can come from something as simple as an insight from a blog you read to a reminder for taking medications.',
          description2: 'Even the best people can hit limits. To err, is human. Finding valuable details from our digital life is a painfully difficult task.',
          description3: 'theNexusCodes helps you keep track of all aspects of your digital life. You can search through all the work that you do in a browser. It also creates a graph network showing how all consumed resources are linked.',
          asset: 'searching.svg'
        }
      }
    };
  }
});
</script>
